- [HTTP request](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.muteConfigs/list#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.muteConfigs/list#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.muteConfigs/list#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.muteConfigs/list#body.request_body)
- [Response body](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.muteConfigs/list#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.muteConfigs/list#body.aspect)
- [Try it!](https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/folders.muteConfigs/list#try-it)

Lists mute configs.

### IAM Permissions

Requires the following IAM permission on the resource specified in the `parent` field:

- `securitycenter.muteconfigs.list`

### HTTP request

Choose an endpoint:
global me-central2 us eu   
`GET https://securitycenter.googleapis.com/v1/{parent=folders/*}/muteConfigs`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Required. The parent, which owns the collection of mute configs. Its format is `organizations/[organizationId]`, `folders/[folder_id]`, `projects/[projectId]`. |

### Query parameters

| Parameters ||
|---|---|
| `pageSize` | `integer` The maximum number of configs to return. The service may return fewer than this value. If unspecified, at most 10 configs will be returned. The maximum value is 1000; values above 1000 will be coerced to 1000. |
| `pageToken` | `string` A page token, received from a previous `muteConfigs.list` call. Provide this to retrieve the subsequent page. When paginating, all other parameters provided to `muteConfigs.list` must match the call that provided the page token. |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/security-command-center/docs/reference/rest/v1/ListMuteConfigsResponse`.

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/cloud-platform`
- `https://www.googleapis.com/auth/securitycenter`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).